
Katello - Bug #20637

Manifest import on 'master' failing

08/17/2017 04:09 PM - Brad Buckingham

Status: Duplicate   

Priority: High   

Assignee:    

Category: Subscriptions   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Attempting to import a manifest (via UI) using the current katello master and candlepin-2.0.40-1.el7.noarch results in the following

error:

5: Actions::Candlepin::Owner::ImportProducts (skipped) [ 26.10s / 25.80s ]

Started at: 2017-08-17 20:01:24 UTC

Ended at: 2017-08-17 20:01:50 UTC

Real time: 26.10s

Execution time (excluding suspended state): 25.80s

Input:

---

organization_id: 1

remote_user: admin

remote_cp_user: admin

locale: en

Output:

--- {}

Error:

ActiveRecord::StatementInvalid

PG::NotNullViolation: ERROR: null value in column "virt_who" violates not-null constraint DETAIL: 

Failing row contains (2, 4028f9305df15e9a015df1c9395e1072, 2017-08-17 20:01:25.822771, 2017-08-17 

20:01:49.996981, null, 1212729, 10913844, null, 5, 2016-03-24 04:00:00, NORMAL, 2022-01-01 04:59:5

9, null, null, 0, f, f, null). : UPDATE "katello_pools" SET "account_number" = $1, "contract_numbe

r" = $2, "quantity" = $3, "start_date" = $4, "end_date" = $5, "consumed" = $6, "pool_type" = $7, "

virt_who" = $8, "updated_at" = $9 WHERE "katello_pools"."id" = $10

---

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/postgresql_adapter.rb:602:in

  `exec_prepared'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/postgresql_adapter.rb:602:in

  `block in exec_cache'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract_adapter.rb:484:in

  `block in log'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/notifications/in

strumenter.rb:20:in

  `instrument'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract_adapter.rb:478:in

  `log'" 
- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/postgresql_adapter.rb:601:in

  `exec_cache'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/postgresql_adapter.rb:585:in

  `execute_and_clear'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/postgresql/database_statements.rb:173:in

  `exec_delete'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract/database_statements.rb:114:in

  `update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract/query_cache.rb:14:in

  `update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/relation.rb:88:in

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/persistence.rb:515

:in

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/locking/optimistic

.rb:79:in

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/attribute_methods/

dirty.rb:129:in

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/callbacks.rb:310:i

n

  `block in _update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:117

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:117

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:555

:in

  `block (2 levels) in compile'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:505

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:505

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:92:

in

  `__run_callbacks__'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:778

:in

  `_run_update_callbacks'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/callbacks.rb:310:i

n

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/timestamp.rb:70:in

  `_update_record'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/persistence.rb:504

:in

  `create_or_update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/callbacks.rb:302:i

n

  `block in create_or_update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:117

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:117

:in

  `call'" 
- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:555

:in

  `block (2 levels) in compile'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:505

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:505

:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:92:

in

  `__run_callbacks__'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.2.9/lib/active_support/callbacks.rb:778

:in

  `_run_save_callbacks'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/callbacks.rb:302:i

n

  `create_or_update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/persistence.rb:120

:in

  `save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/bullet-5.6.1/lib/bullet/active_record42.rb:47:in

  `save_with_bullet'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/validations.rb:37:

in

  `save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/attribute_methods/

dirty.rb:21:in

  `save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:28

6:in

  `block (2 levels) in save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:35

1:in

  `block in with_transaction_returning_status'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract/database_statements.rb:211:in

  `transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:22

0:in

  `transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:34

8:in

  `with_transaction_returning_status'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:28

6:in

  `block in save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:30

1:in

  `rollback_active_record_state!'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:28

5:in

  `save'" 

- "/home/vagrant/katello/app/lib/katello/lazy_accessor.rb:80:in `save'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/persistence.rb:252

:in

  `block in update'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:35

1:in

  `block in with_transaction_returning_status'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract/database_statements.rb:213:in

  `block in transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter

s/abstract/transaction.rb:184:in

  `within_new_transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/connection_adapter
s/abstract/database_statements.rb:213:in

  `transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:22

0:in

  `transaction'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/transactions.rb:34

8:in

  `with_transaction_returning_status'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.2.9/lib/active_record/persistence.rb:250

:in

  `update'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/pool.rb:132:in `import_data'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/candlepin_object.rb:44:in

  `block (2 levels) in import_all'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/candlepin_object.rb:42:in

  `each'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/candlepin_object.rb:42:in

  `block in import_all'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/candlepin_object.rb:37:in

  `each'" 

- "/home/vagrant/katello/app/models/katello/glue/candlepin/candlepin_object.rb:37:in

  `import_all'" 

- "/home/vagrant/katello/app/models/katello/glue/provider.rb:200:in `index_subscriptions'" 

- "/home/vagrant/katello/app/models/katello/glue/provider.rb:194:in `import_products_from_cp'" 

- "/home/vagrant/katello/app/lib/actions/candlepin/owner/import_products.rb:11:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action.rb:513:in

  `block (3 levels) in execute_run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:30:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in

  `pass'" 

- "/home/vagrant/katello/app/lib/actions/middleware/propagate_candlepin_errors.rb:9:in

  `block in run'" 

- "/home/vagrant/katello/app/lib/actions/middleware/propagate_candlepin_errors.rb:19:in

  `propagate_candlepin_errors'" 

- "/home/vagrant/katello/app/lib/actions/middleware/propagate_candlepin_errors.rb:9:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in

  `pass'" 

- "/home/vagrant/katello/app/lib/actions/middleware/remote_action.rb:16:in `block

  in run'" 

- "/home/vagrant/katello/app/lib/actions/middleware/remote_action.rb:40:in `block

  in as_remote_user'" 

- "/home/vagrant/katello/app/models/katello/concerns/user_extensions.rb:21:in `cp_config'" 

- "/home/vagrant/katello/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user'" 

- "/home/vagrant/katello/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user'" 

- "/home/vagrant/katello/app/lib/actions/middleware/remote_action.rb:16:in `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in
  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action/progress.rb:30:in

  `with_progress_calculation'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action/progress.rb:16:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in

  `pass'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `block in

  run'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:17:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware.rb:30:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/middleware/world.rb:30:in

  `execute'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action.rb:512:in

  `block (2 levels) in execute_run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action.rb:511:in

  `catch'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action.rb:511:in

  `block in execute_run'" 

- "/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.26/lib/dynflow/action.rb:426:in

  `call'" 

Related issues:

Is duplicate of Katello - Bug #20395: importing manifest fails with error 'PG... Closed 07/24/2017

History

#1 - 08/17/2017 04:23 PM - Brad Buckingham

- Status changed from New to Duplicate

- translation missing: en.field_release set to 166

#2 - 08/17/2017 04:24 PM - Brad Buckingham

- Is duplicate of Bug #20395: importing manifest fails with error 'PG::Error: ERROR:  null value in column "virt_who" violates not-null constraint' added
